﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace TestMenu.Model
{
    [Serializable]
    public class MenuItemInfo
    {
        [XmlAttribute("Name")]
        public string Name { get; set; }

        [XmlAttribute("HeaderText")]
        public string HeaderText { get; set; }

        [XmlAttribute("MenuId")]
        public int MenuId { get; set; }

        [XmlAttribute("ParentMenuId")]
        public int ParentMenuId { get; set; }

        [XmlAttribute("FormName")]
        public string FormName { get; set; }

        [XmlAttribute("MenuName")]
        public string MenuName { set; get; }

        [XmlAttribute("OpenType")]
        public int OpenType { get; set; }

        [XmlElement("MenuItem")]
        public List<MenuItemInfo> MenuItemList { get; set; }
    }

    public enum OpenType
    {
        NewForm = 0,              //新窗口打开
        TabForm = 1,              //Tab页打开
    }
}
